Skip to main content
POST
/
webhooks-journal
/
journal-local
/
2026-03
/
batch
/
read
cURL
curl --request POST \
  --url https://api.hubapi.com/webhooks-journal/journal-local/2026-03/batch/read \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    "<string>"
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "currentOffset": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "expiresAt": "2023-11-07T05:31:56Z",
      "url": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Query Parameters

installPortalId
integer<int32>

Body

application/json
inputs
string[]
required

Response

successful operation

completedAt
string<date-time>
required
results
object[]
required
startedAt
string<date-time>
required
status
enum<string>
required
Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]
numErrors
integer<int32>
requestedAt
string<date-time>
Last modified on March 30, 2026